+++
title = "Chat with us!"
+++
<!-- SPDX-License-Identifier: CC0-1.0 -->

[About us](@/_index.md). (<abbr title="Work in Progress">WiP</abbr>)

# Chat with us!

We try our best to let people use their favorite chat client to join us.
Currently, we use native [Matrix] rooms which are also accessible via [Jabber/XMPP] and [IRC].
For pre-existing projects, their official chatrooms are bridged where possible, even if they're on the non-libre [Discord] platform.
New projects should take advantage of [FreeGameDev]'s cross-platform integration.

[Matrix]: https://matrix.org/
[Jabber/XMPP]: https://joinjabber.org/
[IRC]: https://en.wikipedia.org/wiki/Internet_Relay_Chat
[Discord]: https://drewdevault.com/2021/12/28/Dont-use-Discord-for-FOSS.html
[FreeGameDev]: https://freegamedev.net/d/153-what-can-the-freegamedev-chat-do-for-me

## Official chatrooms

- *general*: chat about libre games, their development and philosophy
  [matrix](https://matrix.to/#/#libregaming-general:tchncs.de)
  [xmpp](https://xmpp.f-hub.org/#%23libregaming@irc.f-hub.org?join)
  [libera-chat](ircs://irc.libera.chat/#libregamenight)
  [fgd](ircs://irc.freegamedev.net/#libregaming)
  [archive](https://view.matrix.org/room/!YBYGuZnidXkfegAxjg:freedombox.emorrp1.name/)
- *matchmaking*: matchmaking service/bot to find people to play with
  [matrix](https://matrix.to/#/#libregaming-matchmaking:tchncs.de)
  [xmpp](https://xmpp.f-hub.org/#%23matchmaking@irc.f-hub.org?join)
  [libera-chat](ircs://irc.libera.chat/#libregaming-matchmaking)
  [fgd](ircs://irc.freegamedev.net/#matchmaking)
  [archive](https://view.matrix.org/room/!CUNOtCEVFEdXaOUjXL:matrix.org/)
- *offtopic*: for discussions with Libre Gaming folks about everything except libregaming
  [matrix](https://matrix.to/#/#libregaming-offtopic:tchncs.de)
  [xmpp](https://xmpp.f-hub.org/#%23offtopic@irc.f-hub.org?join)
  [libera-chat](ircs://irc.libera.chat/#libregaming-offtopic)
  [fgd](ircs://irc.freegamedev.net/#offtopic)
  [archive](https://view.matrix.org/room/!csFYqQwEzkhBXOMzLF:matrix.org/)
- *organization*: meta channel for discussing the LibreGaming.org project itself
  [matrix](https://matrix.to/#/#libregaming-organization:tchncs.de)
  [xmpp](https://xmpp.f-hub.org/#%23libregaming-org@irc.f-hub.org?join)
  [libera-chat](ircs://irc.libera.chat/#libregaming-organization)
  [fgd](ircs://irc.freegamedev.net/#libregaming-org)
  [archive](https://view.matrix.org/room/!qLhNfILESSCaasbRWB:freedombox.emorrp1.name/)

To join one such room called `ROOM`, configure your client according to the instructions below.

### Matrix
- [Create an account here](https://tchncs.de/matrix) or on any other Matrix server (if you want, you can [Install an App](https://matrix.org/ecosystem/clients/) to use instead of the website)
- Join the [Libre Gaming Community](https://matrix.to/#/#libregaming-community:freedombox.emorrp1.name)
- You can also check [Libre Gaming Space](/space.html) for other related Matrix spaces and rooms
<details><summary> if you don't want to use Matrix Spaces you can join each room individually </summary>

  - [General](https://matrix.to/#/#libregaming-general:tchncs.de) (`#libregaming-general:tchncs.de`)
  - [Matchmaking](https://matrix.to/#/#libregaming-matchmaking:tchncs.de) (`#libregaming-matchmaking:tchncs.de`)
  - [Offtopic](https://matrix.to/#/#libregaming-offtopic:tchncs.de) (`#libregaming-offtopic:tchncs.de`)
  - [Organization](https://matrix.to/#/#libregaming-organization:tchncs.de) (`#libregaming-organization:tchncs.de`)
</details>

### Jabber/XMPP:
- [Get started with XMPP](https://joinjabber.org/docs/)
- XMPP rooms are bridged with the rest [f-hub.org XMPP gateway](https://wiki.f-hub.org/books/chat-network/page/gateways-for-xmpp-and-matrix)
- Rooms:
    - [General](https://xmpp.f-hub.org/#%23libregaming@irc.f-hub.org?join)    (`#libregaming@irc.f-hub.org`)
    - [Matchmaking](https://xmpp.f-hub.org/#%23matchmaking@irc.f-hub.org?join)    (`#matchmaking@irc.f-hub.org`)
    - [Offtopic](https://xmpp.f-hub.org/#%23offtopic@irc.f-hub.org?join)    (`#offtopic@irc.f-hub.org`)
    - [Organization](https://xmpp.f-hub.org/#%23libregaming-org@irc.f-hub.org?join)    (`#libregaming-org@irc.f-hub.org`)

### libera.chat IRC
Note: various features are not supported by the IRC protocol: for a better experience, consider using a Matrix or Jabber/XMPP instead
- [Create an account](https://libera.chat/guides/registration), or connect as a guest user, then [Choose a client](https://libera.chat/guides/clients)
- Join the channels:
  - [General](ircs://irc.libera.chat/#libregamenight)    (`#libregamenight`)
  - [Matchmaking](ircs://irc.libera.chat/#libregaming-matchmaking)    (`#libregaming-matchmaking`)
  - [Offtopic](ircs://irc.libera.chat/#libregaming-offtopic)    (`#libregaming-offtopic`)
  - [Organization](ircs://irc.libera.chat/#libregaming-organization)    (`#libregaming-organization`)
- Bridged using matterbridge

### FreeGameDev (FGD) IRC
Note: Although FGD supports more features than libera.chat, various features are still not supported: for a better experience, consider using a Matrix or Jabber/XMPP instead
FGD is currently the center of all the bridges mentioned here
- [Use FGD's webclient](irc.f-hub.org) or your favorite IRC client and configure it to (address: irc.freegamedev.net, port: 6697 (TLS only))
- Join the channels:
  - [General](ircs://irc.freegamedev.net/#libregaming)    (`#libregaming`)
  - [Matchmaking](ircs://irc.freegamedev.net/#matchmaking)    (`#matchmaking`)
  - [Offtopic](ircs://irc.freegamedev.net/#offtopic)    (`#offtopic`)
  - [Organization](ircs://irc.freegamedev.net/#libregaming-org)    (`#libregaming-org`)

Bridged to Matrix using [appservice-irc](https://matrix-org.github.io/matrix-appservice-irc/latest/usage.html)
<details><summary>Matrix rooms have their state configured with the following custom event (you don't need to do it yourself)</summary>
Event Type: `org.matrix.appservice-irc.config`; State Key: ``;
Content: `{ "lineLimit": 9, "allowUnconnectedMatrixUsers": true }`
</details>

## Other communities and chatrooms

For on-topic chat about Libre Gaming, these are the active communities we are aware of.

- [FreeGameDev.net](https://freegamedev.net): bring players and developers together like the old #freegamer on Freenode
  [matrix](https://matrix.f-hub.org/#/%23irc_%23general:matrix.f-hub.org)
  [xmpp](https://xmpp.f-hub.org/#%23general@irc.f-hub.org?join)
  [fgd](ircs://irc.freegamedev.net/#general)
  [archive](https://matrix.f-hub.org/#/%23irc_%23general:matrix.f-hub.org)
- [onFOSS](https://onfoss.org/): an online LAN-Party-like event
  [matrix](https://matrix.f-hub.org/#/%23irc_%23onfoss:matrix.f-hub.org)
  [xmpp](https://xmpp.f-hub.org/#%23onfoss@irc.f-hub.org?join)
  [fgd](ircs://irc.freegamedev.net/#onfoss)
- [opensource_gaming](https://twitch.tv/opensource_gaming): twitch channel to bring attention to a lot of great Open Source projects
  [matrix](https://matrix.to/#/#generalosg:matrix.org)
  [xmpp](xmpp:%23generalosg%23matrix.org@aria-net.org?join)
- *SMAC*: чат без смысла и цели
  [matrix](https://matrix.to/#/#xmpp_smac_conference.bitcheese.net:matrix.org)
  [xmpp](xmpp:smac@conference.bitcheese.net?join)
- *Free, Libre, and Open Source Gaming*
  [matrix](https://matrix.to/#/#libregaming:matrix.org)
  [xmpp](xmpp:%23libregaming%23matrix.org@aria-net.org?join)
